-injars in.jar -outjars out.jar

-libraryjars ${java.home}/lib/rt.jar

-printmapping out.map -renamesourcefileattribute SourceFile -keepattributes SourceFile,LineNumberTable

-keepattributes *Annotation*

-keepclasseswithmembers public class * { public static void main(java.lang.String[]); }

-keepclasseswithmembernames class * { native <methods>; }

-keepclassmembers class * extends java.lang.Enum { public static **[] values(); public static ** valueOf(java.lang.String); }

-keepclassmembers class * implements java.io.Serializable { static final long serialVersionUID; static final java.io.ObjectStreamField[] serialPersistentFields; private void writeObject(java.io.ObjectOutputStream); private void readObject(java.io.ObjectInputStream); java.lang.Object writeReplace(); java.lang.Object readResolve(); }